import { HttpClient } from 'aurelia-fetch-client';
import { EventAggregator } from 'aurelia-event-aggregator';
import { DialogService } from 'aurelia-dialog';
import { BindingEngine, Disposable } from 'aurelia-framework';
import { AuthService } from "../../security/auth-service";
import { CommunicationHubClient } from '../../services/signalr/communication-hub-client';
import { Config } from '../../config';
export declare class UINotification {
    private authService;
    private dialogService;
    private bindingEngine;
    private commHubClient;
    httpClient: HttpClient;
    private eventAggregator;
    private config;
    disposables: Array<Disposable>;
    private nbElementPerPage;
    private hasOpenNotList;
    private counter;
    constructor(authService: AuthService, dialogService: DialogService, bindingEngine: BindingEngine, commHubClient: CommunicationHubClient, httpClient: HttpClient, eventAggregator: EventAggregator, config: Config);
    get counterDisplay(): string;
    bind(): Promise<void>;
    attached(): void;
    initChat(): void;
    private loadCounter;
    openNotifications(): Promise<void>;
}
